MongoCollection::__construct
MongoCollection::createDBRef
MongoCollection
PHP Manual

# MongoCollection::count

(PECL mongo >=0.9.0)

MongoCollection::count — Counts the number of documents in this collection

### Description

public int MongoCollection::count ([ array `$query` = array() [, array `$options` = array() ]] )

### Parameters

`query`

  Associative array or object with fields to match.

`options`

  An array of options for the index creation. Currently available options include:

  Name | Type | Description
  --- | --- | ---
  hint | mixed | Index to use for the query. If a string is passed, it should correspond to an index name. If an array or object is passed, it should correspond to the specification used to create the index (i.e. the first argument to MongoCollection::createIndex()). This option is only supported in MongoDB 2.6+.
  limit | integer | The maximum number of matching documents to return.
  maxTimeMS | integer | Specifies a cumulative time limit in milliseconds for processing the operation (does not include idle time). If the operation is not completed within the timeout period, a MongoExecutionTimeoutException will be thrown. This option is only supported in MongoDB 2.6+.
  skip | integer | The number of matching documents to skip before returning results.

### Return Values

Returns the number of documents matching the query.

### Errors/Exceptions

Throws MongoResultException if the server could not execute the command due to an error.

Throws MongoExecutionTimeoutException if command execution was terminated due to maxTimeMS.

### Changelog

Version | Description
--- | ---
1.6.0 | The second parameter is now an `options` array. Passing `limit` and `skip` as the second and third parameters, respectively, is deprecated.
1.0.7 | Added `limit` and `skip` as second and third parameters, respectively.

### Examples

Example #1 MongoCollection::count() example

`<?php
$collection->insert(array('x'=>1));
$collection->insert(array('x'=>2));
$collection->insert(array('x'=>3));
var_dump($collection->count());
var_dump($collection->count(array('x'=>1)));
?>`

The above example will output something similar to:

    int(3)
    int(1)

MongoCollection::__construct
MongoCollection::createDBRef
MongoCollection
PHP Manual